
package de.ivu.elect.presentation.benutzerverwaltung.menu;

import javax.inject.Inject;

import de.ivu.elect.business.benutzerverwaltung.entity.RolleMeta;
import de.ivu.elect.jee.entity.Meta;
import de.ivu.elect.presentation.benutzerverwaltung.exchange.RolleExportDescription;
import de.ivu.elect.presentation.exchange.ExportDescription;
import de.ivu.elect.presentation.exchange.menu.AbstractExportMenuItemEntry;

public class RolleExportMenuItemEntry extends AbstractExportMenuItemEntry {

  private static final long serialVersionUID = 1L;

  @Inject
  private RolleMeta rolleMeta;

  @Inject
  private RolleExportDescription rolleExportDescription;

  public RolleExportMenuItemEntry() {
    super();
  }

  @Override
  protected ExportDescription getExportDescription() {
    return rolleExportDescription;
  }

  @Override
  protected Meta getMeta() {
    return rolleMeta;
  }
}
